Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86165 - ifup failed; Bringing up interface eth0: failed
Summary: ifup failed; Bringing up interface eth0: failed
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcp
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-15 11:43 UTC by Need Real Name
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-22 19:12:45 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-03-15 11:43:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; Monsanto IE 5.5)

Description of problem:
Failed to activate eth0

boot.log showed:

...
ifup: Determining IP information for eth0...
ifup: ./ifup: line 277: 605 Floating poin exception
/sbin/dhclient ${DHCLIENTARGS} ${DEVICE}
ifup: failed
network: Bringing up interface eth0: failed

mainboard : L4S5MG3 micro-ATX
processor : Pentium 4 1.8G
network card : RealTek RTL-8139.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.reboot
2.
3.
    

Actual Results:  same message, only the number (605) seems to increment

Expected Results:  be able to connect to internet

Additional info:

If ISDN router (CISCO 760 series) is not on, the message was something like " 
no connection, check cables". 
This same router works on my PC and another linux box (that uses a 3COM card).

Comment 1 Harald Hoyer 2003-03-20 16:14:06 UTC
wow... floating point exception in a shell script..
assigning to the right component

Comment 2 Bill Nottingham 2003-03-20 21:39:08 UTC
dhclient is getting SIGFPE for some reason. Reassigning.

Comment 4 Daniel Walsh 2003-04-07 23:46:17 UTC
Could you send me the contents of /var/lib/dhcp/dhclient-eth0.leases 
and
 /etc/dhclient-eth0.conf

Comment 5 Daniel Walsh 2003-08-01 20:41:21 UTC
Going through and cleaning up old bug reports.  Does this problem still exist or
can I close it?  No response will be taken as an affirmative.

Dan


Note You need to log in before you can comment on or make changes to this bug.